JHAdminConfig (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.jobhistory, class: JHAdminConfig

Package org.apache.hadoop.mapreduce.v2.jobhistory

# Class JHAdminConfig

java.lang.Object
org.apache.hadoop.mapreduce.v2.jobhistory.JHAdminConfig

@Private @Evolving public class JHAdminConfig extends Object
Stores Job History configuration keys that can be set by administrators of the Job History server.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_JHS_ADMIN_ACL`
  `static final String`
  `DEFAULT_JHS_ADMIN_ADDRESS`
  `static final int`
  `DEFAULT_JHS_ADMIN_PORT`
  `static final String`
  `DEFAULT_MR_HISTORY_ADDRESS`
  `static final boolean`
  `DEFAULT_MR_HISTORY_ALWAYS_SCAN_USER_DIR`
  `static final long`
  `DEFAULT_MR_HISTORY_CLEANER_INTERVAL_MS`
  `static final int`
  `DEFAULT_MR_HISTORY_CLIENT_THREAD_COUNT`
  `static final int`
  `DEFAULT_MR_HISTORY_DATESTRING_CACHE_SIZE`
  `static final boolean`
  `DEFAULT_MR_HISTORY_ENABLE_CORS_FILTER`
  `static final short`
  `DEFAULT_MR_HISTORY_INTERMEDIATE_USER_DONE_DIR_PERMISSIONS`
  `static final int`
  `DEFAULT_MR_HISTORY_JOBLIST_CACHE_SIZE`
  `static final int`
  `DEFAULT_MR_HISTORY_LOADED_JOB_CACHE_SIZE`
  `static final long`
  `DEFAULT_MR_HISTORY_MAX_AGE`
  `static final long`
  `DEFAULT_MR_HISTORY_MAX_START_WAIT_TIME`
  `static boolean`
  `DEFAULT_MR_HISTORY_MINICLUSTER_FIXED_PORTS`
  Default is false to be able to run tests concurrently without port conflicts.
  `static final long`
  `DEFAULT_MR_HISTORY_MOVE_INTERVAL_MS`
  `static final int`
  `DEFAULT_MR_HISTORY_MOVE_THREAD_COUNT`
  `static final int`
  `DEFAULT_MR_HISTORY_PORT`
  `static final String`
  `DEFAULT_MR_HISTORY_WEBAPP_ADDRESS`
  `static final String`
  `DEFAULT_MR_HISTORY_WEBAPP_HTTPS_ADDRESS`
  `static final int`
  `DEFAULT_MR_HISTORY_WEBAPP_HTTPS_PORT`
  `static final int`
  `DEFAULT_MR_HISTORY_WEBAPP_PORT`
  `static String`
  `DEFAULT_MR_HS_HTTP_POLICY`
  `static final String`
  `DEFAULT_MR_HS_JHIST_FORMAT`
  `static final int`
  `DEFAULT_MR_HS_JOBNAME_LIMIT`
  `static final int`
  `DEFAULT_MR_HS_LOADED_JOBS_TASKS_MAX`
  `static final boolean`
  `DEFAULT_MR_HS_RECOVERY_ENABLE`
  `static final String`
  `JHS_ADMIN_ACL`
  ACL of who can be admin of Job history server.
  `static final String`
  `JHS_ADMIN_ADDRESS`
  The address of the History server admin interface.
  `static final String`
  `MR_HISTORY_ADDRESS`
  host:port address for History Server API.
  `static final String`
  `MR_HISTORY_ALWAYS_SCAN_USER_DIR`
  Always scan user dir, irrespective of dir modification time.
  `static final String`
  `MR_HISTORY_BIND_HOST`
  `static final String`
  `MR_HISTORY_CLEANER_ENABLE`
  If history cleaning should be enabled or not.
  `static final String`
  `MR_HISTORY_CLEANER_INTERVAL_MS`
  Run the History Cleaner every X ms.
  `static final String`
  `MR_HISTORY_CLIENT_THREAD_COUNT`
  The number of threads to handle client API requests.
  `static final String`
  `MR_HISTORY_CSRF_CUSTOM_HEADER`
  `static final String`
  `MR_HISTORY_CSRF_ENABLED`
  `static final String`
  `MR_HISTORY_CSRF_PREFIX`
  CSRF settings.
  `static final String`
  `MR_HISTORY_DATESTRING_CACHE_SIZE`
  Size of the date string cache.
  `static final String`
  `MR_HISTORY_DONE_DIR`
  Path where history files should be stored for DONE jobs.
  `static final String`
  `MR_HISTORY_ENABLE_CORS_FILTER`
  CORS settings.
  `static final String`
  `MR_HISTORY_INTERMEDIATE_DONE_DIR`
  Path where history files should be stored after a job finished and before they are pulled into the job history server.
  `static final String`
  `MR_HISTORY_INTERMEDIATE_USER_DONE_DIR_PERMISSIONS`
  `static final String`
  `MR_HISTORY_JOBLIST_CACHE_SIZE`
  Size of the job list cache.
  `static final String`
  `MR_HISTORY_KEYTAB`
  The location of the Kerberos keytab file.
  `static final String`
  `MR_HISTORY_LOADED_JOB_CACHE_SIZE`
  Size of the loaded job cache.
  `static final String`
  `MR_HISTORY_LOADED_TASKS_CACHE_SIZE`
  Size of the loaded job cache (in tasks).
  `static final String`
  `MR_HISTORY_MAX_AGE_MS`
  The maximum age of a job history file before it is deleted from the history server.
  `static final String`
  `MR_HISTORY_MAX_START_WAIT_TIME`
  Maximum time the History server will wait for the FileSystem for History files to become available.
  `static final String`
  `MR_HISTORY_METHODS_TO_IGNORE`
  `static final String`
  `MR_HISTORY_MINICLUSTER_FIXED_PORTS`
  Whether to use fixed ports with the minicluster.
  `static final String`
  `MR_HISTORY_MOVE_INTERVAL_MS`
  Scan for history files to more from intermediate done dir to done dir every X ms.
  `static final String`
  `MR_HISTORY_MOVE_THREAD_COUNT`
  The number of threads used to move files.
  `static final String`
  `MR_HISTORY_PREFIX`
  The prefix to all Job History configuration properties.
  `static final String`
  `MR_HISTORY_PRINCIPAL`
  The Kerberos principal for the history server.
  `static final String`
  `MR_HISTORY_STORAGE`
  The HistoryStorage class to use to cache history data.
  `static final String`
  `MR_HISTORY_WEBAPP_ADDRESS`
  The address the history server webapp is on.
  `static final String`
  `MR_HISTORY_WEBAPP_HTTPS_ADDRESS`
  The https address the history server webapp is on.
  `static final String`
  `MR_HISTORY_XFS_OPTIONS`
  `static final String`
  `MR_HISTORY_XFS_PREFIX`
  XFS settings.
  `static final String`
  `MR_HS_FS_STATE_STORE_URI`
  The URI where server state will be stored when HistoryServerFileSystemStateStoreService is configured as the state store
  `static final String`
  `MR_HS_HTTP_POLICY`
  To enable https in MR history server
  `static final String`
  `MR_HS_JHIST_FORMAT`
  Settings for .jhist file format.
  `static final String`
  `MR_HS_JOBNAME_LIMIT`
  Number of characters allowed for job name in Job History Server web page.
  `static final String`
  `MR_HS_LEVELDB_STATE_STORE_PATH`
  The local path where server state will be stored when HistoryServerLeveldbStateStoreService is configured as the state store
  `static final String`
  `MR_HS_LOADED_JOBS_TASKS_MAX`
  The maximum number of tasks for a job to be loaded in Job History Server.
  `static final String`
  `MR_HS_RECOVERY_ENABLE`
  Enable the history server to store server state and recover server state upon startup.
  `static final String`
  `MR_HS_SECURITY_SERVICE_AUTHORIZATION`
  `static final String`
  `MR_HS_SECURITY_SERVICE_AUTHORIZATION_ADMIN_REFRESH`
  `static final String`
  `MR_HS_STATE_STORE`
  The HistoryServerStateStoreService class to store and recover server state
  `static final String`
  `MR_WEBAPP_SPNEGO_KEYTAB_FILE_KEY`
  The kerberos keytab to be used for spnego filter for history server
  `static final String`
  `MR_WEBAPP_SPNEGO_USER_NAME_KEY`
  The kerberos principal to be used for spnego filter for history server

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JHAdminConfig()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MR_HISTORY_PREFIX

    public static final String MR_HISTORY_PREFIX
    The prefix to all Job History configuration properties.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_ADDRESS

    public static final String MR_HISTORY_ADDRESS
    host:port address for History Server API.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_PORT

    public static final int DEFAULT_MR_HISTORY_PORT
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_ADDRESS

    public static final String DEFAULT_MR_HISTORY_ADDRESS
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_BIND_HOST

    public static final String MR_HISTORY_BIND_HOST
    See Also:
      - Constant Field Values

  - ### JHS_ADMIN_ADDRESS

    public static final String JHS_ADMIN_ADDRESS
    The address of the History server admin interface.
    See Also:
      - Constant Field Values

  - ### DEFAULT_JHS_ADMIN_PORT

    public static final int DEFAULT_JHS_ADMIN_PORT
    See Also:
      - Constant Field Values

  - ### DEFAULT_JHS_ADMIN_ADDRESS

    public static final String DEFAULT_JHS_ADMIN_ADDRESS
    See Also:
      - Constant Field Values

  - ### JHS_ADMIN_ACL

    public static final String JHS_ADMIN_ACL
    ACL of who can be admin of Job history server.
    See Also:
      - Constant Field Values

  - ### DEFAULT_JHS_ADMIN_ACL

    public static final String DEFAULT_JHS_ADMIN_ACL
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_CLEANER_ENABLE

    public static final String MR_HISTORY_CLEANER_ENABLE
    If history cleaning should be enabled or not.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_CLEANER_INTERVAL_MS

    public static final String MR_HISTORY_CLEANER_INTERVAL_MS
    Run the History Cleaner every X ms.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_CLEANER_INTERVAL_MS

    public static final long DEFAULT_MR_HISTORY_CLEANER_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_ALWAYS_SCAN_USER_DIR

    public static final String MR_HISTORY_ALWAYS_SCAN_USER_DIR
    Always scan user dir, irrespective of dir modification time.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_ALWAYS_SCAN_USER_DIR

    public static final boolean DEFAULT_MR_HISTORY_ALWAYS_SCAN_USER_DIR
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_CLIENT_THREAD_COUNT

    public static final String MR_HISTORY_CLIENT_THREAD_COUNT
    The number of threads to handle client API requests.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_CLIENT_THREAD_COUNT

    public static final int DEFAULT_MR_HISTORY_CLIENT_THREAD_COUNT
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_DATESTRING_CACHE_SIZE

    public static final String MR_HISTORY_DATESTRING_CACHE_SIZE
    Size of the date string cache. Effects the number of directories which will be scanned to find a job.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_DATESTRING_CACHE_SIZE

    public static final int DEFAULT_MR_HISTORY_DATESTRING_CACHE_SIZE
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_DONE_DIR

    public static final String MR_HISTORY_DONE_DIR
    Path where history files should be stored for DONE jobs.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_MAX_START_WAIT_TIME

    public static final String MR_HISTORY_MAX_START_WAIT_TIME
    Maximum time the History server will wait for the FileSystem for History files to become available. Default value is -1, forever.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_MAX_START_WAIT_TIME

    public static final long DEFAULT_MR_HISTORY_MAX_START_WAIT_TIME
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_INTERMEDIATE_DONE_DIR

    public static final String MR_HISTORY_INTERMEDIATE_DONE_DIR
    Path where history files should be stored after a job finished and before they are pulled into the job history server.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_INTERMEDIATE_USER_DONE_DIR_PERMISSIONS

    public static final String MR_HISTORY_INTERMEDIATE_USER_DONE_DIR_PERMISSIONS
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_INTERMEDIATE_USER_DONE_DIR_PERMISSIONS

    public static final short DEFAULT_MR_HISTORY_INTERMEDIATE_USER_DONE_DIR_PERMISSIONS
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_JOBLIST_CACHE_SIZE

    public static final String MR_HISTORY_JOBLIST_CACHE_SIZE
    Size of the job list cache.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_JOBLIST_CACHE_SIZE

    public static final int DEFAULT_MR_HISTORY_JOBLIST_CACHE_SIZE
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_KEYTAB

    public static final String MR_HISTORY_KEYTAB
    The location of the Kerberos keytab file.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_LOADED_JOB_CACHE_SIZE

    public static final String MR_HISTORY_LOADED_JOB_CACHE_SIZE
    Size of the loaded job cache.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_LOADED_JOB_CACHE_SIZE

    public static final int DEFAULT_MR_HISTORY_LOADED_JOB_CACHE_SIZE
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_LOADED_TASKS_CACHE_SIZE

    public static final String MR_HISTORY_LOADED_TASKS_CACHE_SIZE
    Size of the loaded job cache (in tasks).
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_MAX_AGE_MS

    public static final String MR_HISTORY_MAX_AGE_MS
    The maximum age of a job history file before it is deleted from the history server.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_MAX_AGE

    public static final long DEFAULT_MR_HISTORY_MAX_AGE
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_MOVE_INTERVAL_MS

    public static final String MR_HISTORY_MOVE_INTERVAL_MS
    Scan for history files to more from intermediate done dir to done dir every X ms.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_MOVE_INTERVAL_MS

    public static final long DEFAULT_MR_HISTORY_MOVE_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_MOVE_THREAD_COUNT

    public static final String MR_HISTORY_MOVE_THREAD_COUNT
    The number of threads used to move files.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_MOVE_THREAD_COUNT

    public static final int DEFAULT_MR_HISTORY_MOVE_THREAD_COUNT
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_PRINCIPAL

    public static final String MR_HISTORY_PRINCIPAL
    The Kerberos principal for the history server.
    See Also:
      - Constant Field Values

  - ### MR_HS_HTTP_POLICY

    public static final String MR_HS_HTTP_POLICY
    To enable https in MR history server
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HS_HTTP_POLICY

    public static String DEFAULT_MR_HS_HTTP_POLICY

  - ### MR_HISTORY_WEBAPP_ADDRESS

    public static final String MR_HISTORY_WEBAPP_ADDRESS
    The address the history server webapp is on.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_WEBAPP_PORT

    public static final int DEFAULT_MR_HISTORY_WEBAPP_PORT
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_WEBAPP_ADDRESS

    public static final String DEFAULT_MR_HISTORY_WEBAPP_ADDRESS
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_WEBAPP_HTTPS_ADDRESS

    public static final String MR_HISTORY_WEBAPP_HTTPS_ADDRESS
    The https address the history server webapp is on.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_WEBAPP_HTTPS_PORT

    public static final int DEFAULT_MR_HISTORY_WEBAPP_HTTPS_PORT
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_WEBAPP_HTTPS_ADDRESS

    public static final String DEFAULT_MR_HISTORY_WEBAPP_HTTPS_ADDRESS
    See Also:
      - Constant Field Values

  - ### MR_WEBAPP_SPNEGO_USER_NAME_KEY

    public static final String MR_WEBAPP_SPNEGO_USER_NAME_KEY
    The kerberos principal to be used for spnego filter for history server
    See Also:
      - Constant Field Values

  - ### MR_WEBAPP_SPNEGO_KEYTAB_FILE_KEY

    public static final String MR_WEBAPP_SPNEGO_KEYTAB_FILE_KEY
    The kerberos keytab to be used for spnego filter for history server
    See Also:
      - Constant Field Values

  - ### MR_HS_SECURITY_SERVICE_AUTHORIZATION

    public static final String MR_HS_SECURITY_SERVICE_AUTHORIZATION
    See Also:
      - Constant Field Values

  - ### MR_HS_SECURITY_SERVICE_AUTHORIZATION_ADMIN_REFRESH

    public static final String MR_HS_SECURITY_SERVICE_AUTHORIZATION_ADMIN_REFRESH
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_STORAGE

    public static final String MR_HISTORY_STORAGE
    The HistoryStorage class to use to cache history data.
    See Also:
      - Constant Field Values

  - ### MR_HS_RECOVERY_ENABLE

    public static final String MR_HS_RECOVERY_ENABLE
    Enable the history server to store server state and recover server state upon startup.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HS_RECOVERY_ENABLE

    public static final boolean DEFAULT_MR_HS_RECOVERY_ENABLE
    See Also:
      - Constant Field Values

  - ### MR_HS_STATE_STORE

    public static final String MR_HS_STATE_STORE
    The HistoryServerStateStoreService class to store and recover server state
    See Also:
      - Constant Field Values

  - ### MR_HS_FS_STATE_STORE_URI

    public static final String MR_HS_FS_STATE_STORE_URI
    The URI where server state will be stored when HistoryServerFileSystemStateStoreService is configured as the state store
    See Also:
      - Constant Field Values

  - ### MR_HS_LEVELDB_STATE_STORE_PATH

    public static final String MR_HS_LEVELDB_STATE_STORE_PATH
    The local path where server state will be stored when HistoryServerLeveldbStateStoreService is configured as the state store
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_MINICLUSTER_FIXED_PORTS

    public static final String MR_HISTORY_MINICLUSTER_FIXED_PORTS
    Whether to use fixed ports with the minicluster.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_MINICLUSTER_FIXED_PORTS

    public static boolean DEFAULT_MR_HISTORY_MINICLUSTER_FIXED_PORTS
    Default is false to be able to run tests concurrently without port conflicts.

  - ### MR_HS_JOBNAME_LIMIT

    public static final String MR_HS_JOBNAME_LIMIT
    Number of characters allowed for job name in Job History Server web page.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HS_JOBNAME_LIMIT

    public static final int DEFAULT_MR_HS_JOBNAME_LIMIT
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_CSRF_PREFIX

    public static final String MR_HISTORY_CSRF_PREFIX
    CSRF settings.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_CSRF_ENABLED

    public static final String MR_HISTORY_CSRF_ENABLED
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_CSRF_CUSTOM_HEADER

    public static final String MR_HISTORY_CSRF_CUSTOM_HEADER
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_METHODS_TO_IGNORE

    public static final String MR_HISTORY_METHODS_TO_IGNORE
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_XFS_PREFIX

    public static final String MR_HISTORY_XFS_PREFIX
    XFS settings.
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_XFS_OPTIONS

    public static final String MR_HISTORY_XFS_OPTIONS
    See Also:
      - Constant Field Values

  - ### MR_HISTORY_ENABLE_CORS_FILTER

    public static final String MR_HISTORY_ENABLE_CORS_FILTER
    CORS settings.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HISTORY_ENABLE_CORS_FILTER

    public static final boolean DEFAULT_MR_HISTORY_ENABLE_CORS_FILTER
    See Also:
      - Constant Field Values

  - ### MR_HS_JHIST_FORMAT

    public static final String MR_HS_JHIST_FORMAT
    Settings for .jhist file format.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HS_JHIST_FORMAT

    public static final String DEFAULT_MR_HS_JHIST_FORMAT
    See Also:
      - Constant Field Values

  - ### MR_HS_LOADED_JOBS_TASKS_MAX

    public static final String MR_HS_LOADED_JOBS_TASKS_MAX
    The maximum number of tasks for a job to be loaded in Job History Server.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MR_HS_LOADED_JOBS_TASKS_MAX

    public static final int DEFAULT_MR_HS_LOADED_JOBS_TASKS_MAX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JHAdminConfig

    public JHAdminConfig()